# Function buildInsertBulkSql

- buildInsertBulkSql(tbl, objs, opts?): SqlAndValuesBulk[]

- Build INSERT INTO sql statements for multiple rows The rows are grouped by fields that are the same

  #### Parameters

  - ##### tbl: string

    table name

  - ##### objs: Row[]

    rows to insert

  - ##### opts: {
    ignoreExisting?: boolean;
    noid?: boolean;
    replace?: boolean;
    } = {}

    noid, ignoreExisting, replace

    - ##### `Optional` ignoreExisting?: boolean

    - ##### `Optional` noid?: boolean

    - ##### `Optional` replace?: boolean

  #### Returns SqlAndValuesBulk[]

  an array of sql strings with values for the placeholders

  - Defined in db-common/sqlite-commons.ts:107

Generated using TypeDoc